/*
 * Copyright (C) 2019 Intel Corporation
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 */
package org.dripdronescanner.android;

public class Constants {
    public static final int REQUEST_ENABLE_BT = 1;
    public static final int FINE_LOCATION_PERMISSION_REQUEST_CODE = 2;
    public static final int REQUEST_ENABLE_WIFI = 3;

    public static final String DELIM = ",";

    public static final int MAX_ID_BYTE_SIZE = 20;
    public static final int MAX_DRIP_ID_BYTE_SIZE = 16;
    public final static int ED25519_SIG_LENGTH = 64;
    public static final int MAX_STRING_BYTE_SIZE = 23;
    public static final int MAX_AUTH_DATA_PAGES = 5;
    public static final int MAX_AUTH_PAGE_ZERO_SIZE = 17;
    public static final int MAX_AUTH_PAGE_NON_ZERO_SIZE = 23;
    public static final int MAX_AUTH_DATA = MAX_AUTH_PAGE_ZERO_SIZE + (MAX_AUTH_DATA_PAGES - 1) * MAX_AUTH_PAGE_NON_ZERO_SIZE;
    public static final int MAX_MESSAGE_SIZE = 25;
    public static final int MAX_MESSAGES_IN_PACK = 10;
    public static final int MAX_MESSAGE_PACK_SIZE = MAX_MESSAGE_SIZE * MAX_MESSAGES_IN_PACK;
    public static final int MAX_DRIP_AUTH_DATA_PAGES = 9;
    public static final int MAX_DRIP_AUTH_DATA = 200; //bytes
    public final static byte[] HIPv2_PREFIX = {0x20, 0x01, 0x00, 0x20}; // 28-bit prefix
    public final static byte[] HIPv2_CONTEXT_ID = {
            (byte) 0xf0, (byte) 0xef, (byte) 0xf0, 0x2f, (byte) 0xbf, (byte) 0xf4,
            0x3d, 0x0f, (byte) 0xe7, (byte) 0x93, 0x0c, 0x3c, 0x6e, 0x61, 0x74, (byte) 0xea
    };//"F0 EF F0 2F BF F4 3D 0F E7 93 0C 3C 6E 61 74 EA";
    public final static byte[] ED25519_CURVE_ID = {0x00, 0x01}; // 2 byte curve id for ed25519 curve.

}
